Package org.eclipse.birt.core.plugin

# Class BIRTPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.birt.core.plugin.BIRTPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class BIRTPlugin extends org.eclipse.core.runtime.Plugin

## Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BIRTPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BIRTPlugin

public BIRTPlugin()

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`